﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGSelectGroupByRecordCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Valerie;Pamela".Split(';');
        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<1000; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[r.Next(names.Length)],
                    Number = r.Next(1000)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number { get; set; }
    }
}
